Jump to content

W3D Hub Launcher Beta 11 (Patch 2, Hotfix 1)

   (0 reviews)

1 Screenshot

About This File

The W3D Hub launcher is a one-stop shop for your W3D gaming needs, providing game downloads and automatic updating, an integrated server browser, centralised management of in-game options and many other features. As one of our core products we will continue to evolve this service and add new and exciting features in the future, such as a server chat lobby and buddy lists.

Simply download the file, run it and follow the installation instructions.

If you are unsure on how to use the launcher once it has been installed, please refer to this handy guide!

If you have any questions, please feel free to comment!


What's New in Version Beta 11 (Patch 2, Hotfix 1)   See changelog

Released

- Localisation: Added partial Chinese (Simplified) and Polish translations (Thanks to @DoDoCat and @TrollekPL on the W3D Hub forums for providing 
- Performance: Reduced CPU and GPU usage during game installs & updates
- Settings: Added new setting menu for the launcher - click on the cog icon in the titlebar. Includes;
   - Manually choose language, rather than using default based on OS
   - Choose package cache folder location
   - Choose default folder into which games are installed
- Server Browser: Now receives push notifications so it shows changes to maps, player counts etc as soon as they are available
- Server Browser: Now lists servers with players in above empty ones
- Server Browser: Game filter options are now saved

User Feedback

Recommended Comments

Just got MSi GL73 Win 10, signed into W3D downloaded Renegade and it worked without any flaws; had to go to settings and adjust things, no problems...

 

ty db

Edited by mydogREX
Link to comment
Share on other sites

Greetings over there,

dear Commanders...,

whenever I try to run this installation file on that crappy Windows 10 OS, Windows Defender's SmartScreen blocks it!

 

Regards,

N3

 

German:

apbinstall3fjob.png

Edited by N3tRunn3r
Link to comment
Share on other sites
On 5/3/2019 at 4:08 AM, N3tRunn3r said:

Greetings over there,

dear Commanders...,

whenever I try to run this installation file on that crappy Windows 10 OS, Windows Defender's SmartScreen blocks it!

 

Regards,

N3

 

German:

apbinstall3fjob.png

Hi @N3tRunn3r,

Unfortunately there isn't anything we can do to avoid this - SmartScreen works on a reputation basis, whereby the more users that use our installer the less likely it is to flag up a warning. Since we're a small community we never reach the threshold required for SmartScreen to trust our installer and it will therefore always show the warning.

 

You can click on the underlined 'More Information' link to get an option to install our launcher anyway.

 

Regards,

danpaul88

Link to comment
Share on other sites

I'm trying to run this game launcher under Wine, Linux. CnC Renegade works well with the Tiberian Technologies patch. The game launcher can be installed, but before starting, it always does some hardcoded check for .Net Framework 4.6.1 which unfortunately fails on Wine. 

Could you please fix the game launcher to check for any installed .Net Framework > 4.6.1 and show a warning instead of always insisting on downloading the .Net Framework 4.6.1? This behaviour would be more consistent with the installer which allows to skip the installation of the .Net framework. 

Link to comment
Share on other sites

@Taiko There is no .NET framework version check in the source code for the launcher, so I suspect the check is being compiled into the executable as part of the standard pattern for any .NET based application. The installer allows you to skip the installation of the .NET framework in case of issues detecting or installing it, but it must still be present for the launcher to be started since it is a .NET based product.

We've had community members run the launcher successfully under WINE previously who may be able to offer some suggestions - the linked topic might be a good place to start

 

Link to comment
Share on other sites

Last version installed, and worked fine, but this update cant connect to the W3D Backend API when starting up, thus causing malfunction, also, i'm sure this isn't the right place to ask, but why can't Tiberian Technologies Update itself?

Kind Regards.:
Lamasvale

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Add a comment...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...